Summary: A documentation system for C and C++.
Name: doxygen
Version: 1.0.0
Release: 2
Serial: 1
Source0: http://www.stack.nl/~dimitri/doxygen/dl/doxygen-%{version}.src.tar.gz
Patch0: doxygen-alpha.patch
Group: Development/Tools
Copyright: GPL
URL: http://www.stack.nl/~dimitri/doxygen/index.html
Prefix: %{_prefix}
#XXX this is broke while since old qt-devel has been renamed to qt1x-devel
#BuildPrereq: qt-devel
BuildRoot: /var/tmp/%{name}-root

%description
Doxygen is a documentation system for C and C++.  Doxygen can generate
an on-line class browser (in HTML) and/or a reference manual (in
LaTeX) from a set of documented source files. The documentation is
extracted directly from the sources.  Doxygen can be configured to
extract the code structure from undocumented source files.

%prep
%setup -q

# if this is an alpha, patch so that we don't make
# the examples and dump core
%ifarch = alpha
%patch0 -p1 -b .tim 
%endif

# XXX try for qt-2.1.0, otherwise default to qt-1.45
if [ -d /usr/lib/qt-2.1.0 ]; then
    ln -s /usr/lib/qt-2.1.0/include include
    ln -s /usr/lib/qt-2.1.0/lib lib
else
    ln -s /usr/lib/qt-1.45/include include
    ln -s /usr/lib/qt-1.45/lib lib
fi

%build
# XXX try for qt-2.1.0, otherwise default to qt-1.45
if [ -d /usr/lib/qt-2.1.0 ]; then
    export QTDIR=/usr/lib/qt-2.1.0
else
    export QTDIR=/usr/lib/qt-1.45
fi
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix /usr

make
make docs

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin

for i in bin/*; do
    install -s -m 0755 $i ${RPM_BUILD_ROOT}%{_prefix}/bin/`basename $i`
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc LANGUAGE.HOWTO README doc examples html
%{_prefix}/bin/doxygen
%{_prefix}/bin/doxysearch
%{_prefix}/bin/doxytag

%changelog
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- recompile with current Qt (2.1.0/1.45)

* Wed Jan  5 2000 Jeff Johnson <jbj@redhat.com>
- update to 1.0.0.
- recompile with qt-2.0.1 if available.
- relocatable package.

* Mon Nov  8 1999 Tim Powers <timp@redhat.com>
-updated to 0.49-991106

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- updated source
- cleaned up some stuff in the spec file

* Thu Apr 22 1999 Jeff Johnson <jbj@redhat.com>
- Create Power Tools 6.0 package.
